# $Revision: 1.48 $, $Date: 2006/11/21 19:57:01 $
Summary:	Slashdot-like webnews site written in php, easy to install and use
Summary(pl):	Serwis nowinek WWW w stylu Slashdota napisany w PHP, atwy w instalacji i uywaniu
Name:		PHP-nuke
Version:	7.8
Release:	4
License:	GPL
Group:		Applications/WWW
Source0:	http://phpnuke.org/files/PHP-Nuke-%{version}.zip
# Source0-md5:	0f60b9e5c67827192d4b36fc7b06b267
Source1:	PHP-Nuke.README.first
Source2:	%{name}.conf
URL:		http://phpnuke.org/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed > 4.0
BuildRequires:	unzip
Requires:	php(pcre)
Requires:	php-common >= 3:4.2.0
Requires:	webapps
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		phpnuke
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
Content Management and Portal solution featuring web-based
administration, surveys, customizable blocks, modules and themes with
multilanguage support.

%description -l pl
System zarzdzania treci oraz portal WWW z administracj opart na
WWW, przegldami, konfigurowalnymi blokami, moduami i motywami oraz
obsug wielu jzykw.

%prep
%setup -q -c
# undos the source
find . -type f -print0 | xargs -0 sed -i -e 's,\r$,,'
cp -p %{SOURCE1} README.first

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}}

cp -a html/* $RPM_BUILD_ROOT%{_appdir}
mv $RPM_BUILD_ROOT%{_appdir}/config.php $RPM_BUILD_ROOT%{_sysconfdir}
ln -s %{_sysconfdir}/config.php $RPM_BUILD_ROOT%{_appdir}/config.php
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
%banner -e %{name} <<EOF
If this is your first PHP Nuke install, then You should create the
MySQL database:
mysqladmin create nuke
zcat %{_docdir}/%{name}-%{version}/nuke.sql | mysql nuke

Read %{_docdir}/%{name}-%{version}/README.first.gz for further
information.
EOF
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- %{name} < 7.8-1.4
# old 7.4-2 trigger
if [ -s /home/services/httpd/html/nuke/config.php ]; then
	mv -f /home/services/httpd/html/nuke/config.php %{_appdir}
fi

# nuke very-old config location (this mostly for Ra)
if [ -f /etc/httpd/httpd.conf ]; then
	sed -i -e "/^Include.*%{name}.conf/d" /etc/httpd/httpd.conf
fi

# migrate from httpd (apache2) config dir
if [ -f /etc/httpd/%{name}.conf.rpmsave ]; then
	cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/%{name}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

rm -f /etc/httpd/httpd.conf/phpnuke.conf
/usr/sbin/webapp register httpd %{_webapp}
%service -q httpd reload

%files
%defattr(644,root,root,755)
%doc Addons* Blocks* Changes* Credits* Install* README* Readme*
%doc Support* Upgrade* sql/nuke.sql upgrades
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php
%{_appdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: PHP-nuke.spec,v $
Revision 1.48  2006/11/21 19:57:01  glen
- rel 4: use php(extension) virtuals

Revision 1.47  2006/09/30 14:59:45  glen
- rel 3

Revision 1.46  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.45  2006/02/02 15:14:48  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.44  2006/01/22 21:35:04  qboosh
- updated pl desc

Revision 1.43  2006/01/22 21:25:02  glen
- update requires for php version
- database access is abstracted so no specific db implementation is required

Revision 1.42  2006/01/22 21:13:44  glen
- BR sed

Revision 1.41  2006/01/22 21:13:08  glen
- use webapps framework
- fix package group, updated description
- prep cleanup: our rpm already fixes permissions
- rel 2, STBR

Revision 1.40  2005/12/13 14:37:23  glen
- adapterized (sorted %verify flags)

Revision 1.39  2005/09/15 20:01:40  darekr
- BR: unzip

Revision 1.38  2005/09/15 19:56:14  paszczus
- updated to 7.8 ; STBR

Revision 1.37  2005/06/04 07:31:48  paszczus
- updated to 7.7
- cleaning TODO (fixed in this version)
- STBR (security reasons)

Revision 1.36  2005/04/27 21:19:14  paszczus
- updated to 7.6
- TODO needs update

Revision 1.35  2005/03/27 09:56:09  glen
- fixed %prep too much; fixed again :)

Revision 1.34  2005/03/27 09:53:13  glen
- fix %desc/%setup

Revision 1.33  2004/11/26 19:24:36  havner
- typo

Revision 1.32  2004/11/26 14:43:36  havner
- apache config file (alias)

Revision 1.31  2004/11/26 14:41:17  qboosh
- shellglob fix, cleanup

Revision 1.30  2004/11/26 14:35:16  havner
- updated to 7.5
- moved to /usr/share/
- security notes needs to be reviewed
- removed patch also (it's unreadable for me)

Revision 1.29  2004/11/01 20:57:29  paszczus
- release 2

Revision 1.28  2004/11/01 20:57:06  paszczus
- removed outdeted TODO entries
- added Patch0 which fixed http://securitytracker.com/alerts/2004/Sep/1011161.html bug [unofficial]

Revision 1.27  2004/10/12 20:44:11  paszczus
- updated to 7.4
- i will look at SECURITY NOTES later

Revision 1.26  2004/09/14 09:49:10  blues
- 2 more SECURITY notes. finish for today...

Revision 1.25  2004/08/16 14:26:57  blues
- is there anyone who still wants to use it...?

Revision 1.24  2004/08/16 08:18:18  blues
- ...and one more...

Revision 1.23  2004/08/10 14:25:16  blues
- ...and next security notes :D

Revision 1.22  2004/08/10 14:20:46  blues
- next secuirity notes...

Revision 1.21  2004/08/10 14:15:15  blues
- next security note

Revision 1.20  2004/08/10 13:57:00  blues
- one more security note

Revision 1.19  2004/08/10 13:46:13  blues
- one of the security holes in that ....

Revision 1.18  2004/08/01 19:54:00  adamg
- updated to 7.3

Revision 1.17  2004/06/05 17:57:21  paszczus
- updated to 7.2

Revision 1.16  2004/02/20 13:19:58  ankry
- 7.0

Revision 1.15  2003/12/24 11:00:17  ciesiel
- added req.

Revision 1.14  2003/09/28 16:55:19  adamg
- updated to 6.9

Revision 1.13  2003/09/01 10:39:33  adamg
- updated to 6.8

Revision 1.12  2003/07/29 13:32:11  adamg
- updated to 6.7

Revision 1.11  2003/07/17 15:19:49  adamg
- updated to 6.5, release 0.1 (any PHP-Nuke user willing to test it?)

Revision 1.10  2003/06/11 09:40:17  ankry
- added md5

Revision 1.9  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/03/05 11:09:41  grzegorz
- added official_security.patch
- release++

Revision 1.7  2003/02/21 16:05:27  qboosh
- working Source0 URL

Revision 1.6  2002/12/07 16:16:02  orzech
- /home -> /home/services

Revision 1.5  2002/11/18 14:11:36  blues
- release 2 - official fix from phpnuke page

Revision 1.4  2002/11/15 08:56:16  kloczek
- added PHP-Nuke.README.first.

Revision 1.3  2002/11/15 07:58:43  blues
- fixed source, release, adapterized
